OGRE: Ogre::Compiler2Pass::LexemeTokenDef Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::Compiler2Pass::LexemeTokenDef Struct Reference

structure used to build lexeme Type library More...

`#include <OgreCompiler2Pass.h>`

List of all members.

## Public Member Functions

| LexemeTokenDef (void)
| text representation of token or valid characters for label parsing
| LexemeTokenDef (const size_t ID, const String &lexeme, const bool hasAction=false, const bool caseSensitive=false)

## Public Attributes

size_t | ID
bool | hasAction
| Token ID which is the index into the Lexeme Token Definition Container.
bool | isNonTerminal
| has an action associated with it. only applicable to terminal tokens
size_t | ruleID
| if true then token is non-terminal
bool | isCaseSensitive
| index into Rule database for non-terminal token rulepath and lexeme
String | lexeme
| if true use case sensitivity when comparing lexeme to source

## Detailed Description

structure used to build lexeme Type library

Definition at line 206 of file OgreCompiler2Pass.h.

## Constructor & Destructor Documentation

Ogre::Compiler2Pass::LexemeTokenDef::LexemeTokenDef | ( | void |  | ) |

| text representation of token or valid characters for label parsing Definition at line 215 of file OgreCompiler2Pass.h.

Ogre::Compiler2Pass::LexemeTokenDef::LexemeTokenDef | ( | const size_t | ID,
|  | const String & | lexeme,
|  | const bool | hasAction = `false`,
|  | const bool | caseSensitive = `false`
| ) |

| Definition at line 216 of file OgreCompiler2Pass.h.

## Member Data Documentation

bool Ogre::Compiler2Pass::LexemeTokenDef::hasAction

| Token ID which is the index into the Lexeme Token Definition Container. Definition at line 209 of file OgreCompiler2Pass.h.

size_t Ogre::Compiler2Pass::LexemeTokenDef::ID

| Definition at line 208 of file OgreCompiler2Pass.h.

bool Ogre::Compiler2Pass::LexemeTokenDef::isCaseSensitive

| index into Rule database for non-terminal token rulepath and lexeme Definition at line 212 of file OgreCompiler2Pass.h.

bool Ogre::Compiler2Pass::LexemeTokenDef::isNonTerminal

| has an action associated with it. only applicable to terminal tokens Definition at line 210 of file OgreCompiler2Pass.h.

String Ogre::Compiler2Pass::LexemeTokenDef::lexeme

| if true use case sensitivity when comparing lexeme to source Definition at line 213 of file OgreCompiler2Pass.h.

size_t Ogre::Compiler2Pass::LexemeTokenDef::ruleID

| if true then token is non-terminal Definition at line 211 of file OgreCompiler2Pass.h.

The documentation for this struct was generated from the following file:

- OgreCompiler2Pass.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:36 2008